# syntaxvalidate [![NPM version](https://badge.fury.io/js/syntaxvalidate.svg)](https://npmjs.org/package/syntaxvalidate) [![Build Status](https://travis-ci.org/Justin Back/syntaxvalidate.svg?branch=master)](https://travis-ci.org/Justin Back/syntaxvalidate)

> Node Module to retrieve information from the syntaxvalidate.de API

> Official Docs: https://syntaxvalidate.de/
## Installation

```sh
$ npm install --save syntaxvalidate
```

## Usage / Example

```js
const sv = require('syntaxvalidate');

sv.interface = "INTERFACE";
sv.method = "METHOD";
sv.type = "GET";
sv.apikey = "APIKEY";
sv.version = "VERSION"; //Optional.
sv.input = "STRING"; // String to hash
var response = sv.api("JSON_KEY");
```

## Variables
```
(http:// || https://)api.syntaxvalidate.de/<interface>/<method>/<version>
```

```
apikey: API Key obtained from syntaxvalidate.de
interface: See <interface>
method: See <method>
version: See <version> (Optional in the module)
type: Request type (GET)
input: Input string for the request
```

## License

MIT © [Justin Back](justinback.de)
