/*
 *	Syntax Validate Node Module
 *	Example by Justin Back
 *	Retrieve MD5 Hash of the string "Hello!"
 *	
 *	(http:// || https://)api.syntaxvalidate.de/<interface>/<method>/<version>
 *
 *	Refer to the official documentation for a full list of interfaces and methods
 */
const sv = require('../lib/syntaxvalidate.js'); // Get Module

sv.interface = "IHashString"; // Set the interface
sv.method = "MD5Hash"; // Set the method
sv.type = "GET"; // Request type, only GET is currently supported
sv.version = "v1"; // Version of the API, optional.
sv.input = "Hello!"; // String to hash
sv.apikey = "API_KEY";
var response = sv.api("output"); // output = Hashed string, apiname = same as method, status = status of the api call, method = same as type if successful
console.log("MD5 Hash: "+response);