var XMLHttpRequest = require("xmlhttprequest").XMLHttpRequest;
var xhr = new XMLHttpRequest();
module.exports = {
    api: function(key) {

        if (typeof this.interface == 'undefined' && !this.interface) {
            throw new Error("Request interface is empty");
        }

        if (typeof this.method == 'undefined' && !this.method) {
            throw new Error("Request method is empty");
        }

        if (typeof this.version == 'undefined' && !this.version) {
            this.version = "v1";
        }

        if (typeof this.type == 'undefined' && !this.type) {
            throw new Error("Request type is empty");
        }

        if (typeof this.input == 'undefined' && !this.input) {
            throw new Error("Request input is empty");
        }

        if (typeof this.apikey == 'undefined' && !this.apikey) {
            throw new Error("apikey is empty");
        }

        if (this.type == "GET") {
            xhr.open('GET', "http://api.syntaxvalidate.de/" + this.interface + "/" + this.method + "/" + this.version + "/?input=" + this.input + "&key=" + this.apikey, false);
            xhr.send(null);
            if (xhr.status == 200) {

                var response = JSON.parse(xhr.responseText);

                if (response.hasOwnProperty(key)) {
                    return response[key];
                } else {
                    throw new Error("Invalid JSON key");
                }
            } else if (xhr.status == 405) {
                throw new Error("405 Method Not Allowed - "+ this.input + " is not supported on this method/interface");
            } else if (xhr.status == 404) {
                throw new Error("404 Not found - invalid method, interface or version");
            } else if (xhr.status == 401) {
                throw new Error("401 Unauthorized - invalid API Key");
            } else if (xhr.status == 503) {
                throw new Error("503 Service Unavailable - Servers under maintenance, API not available");
            } else if (xhr.status == 500) {
                throw new Error("500 Internal Server Error - Server Error, please wait for a fix");
            } else if (xhr.status == 400) {
                throw new Error("400 Bad Request - Request trying to send is invalid");
            } else if (xhr.status == 413) {
                throw new Error("413 Request Entity Too Large - Request trying to send is too big");
            } else if (xhr.status == 429) {
                throw new Error("429 Too Many Requests - Try again later");
            } else if (xhr.status == 502) {
                throw new Error("502 Bad Gateway - Try again later");
            } else {
				throw new Error("An unexpected error occurred");
			}

        } else {
            throw new Error("Invalid request type");
        }
    }

};